using Godot;
using Rokojori;
using System.Collections.Generic;
using System.Threading.Tasks;

[Tool, GlobalClass, Icon( "res://icon.svg" )]
public partial class DomeFoxGame : Node
{
  [Export]
  public int crystals = 0;

  public void AddCrystal()
  {
    crystals ++;

    Unique<DomeFoxGameUI>.Get().crystalCounter.locale = LocaleText.Create( crystals + "" );
  }
}